Please Note This forum exists for community support for the Mango product family and the Radix IoT Platform. Although Radix IoT employees participate in this forum from time to time, there is no guarantee of a response to anything posted here, nor can Radix IoT, LLC guarantee the accuracy of any information expressed or conveyed. Specific project questions from customers with active support contracts are asked to send requests to support@radixiot.com.

Radix IoT Website Mango 3 Documentation Website Mango 4 Documentation Website

URGENT / 'users' page is giving js errors and won't load


  • Good day,

    Since some days the 'users' page is unavailable on a Mango 2.8.8
    I'm getting errors with require.js on the script https://xxxx/mango-javascript/mango-2.0/api.js,

    because its MIME type ('text/html') is not executable, and strict MIME type checking is enabled.

    [image removed]

    We cannot access to the page. The other pages have no problem.
    Do you guys have an idea to fix ?


  • Hi philgdep,

    Hmm. Have you seen this thread about updating the xstyle dependency? https://forum.infiniteautomation.com/topic/3551/data-sources-does-not-appear/14 It's not the same error but I expect you will have to do that if you are going to be using Chrome. On that note, what browser are you using?

    After that I would try clearing your browser's cache and deleting the Mango/work/jsp directory. Maybe also check to ensure the Mango API and Dashboards modules are installed.


  • Good day,

    I already did those manipulations before. The error is new and only on the users page.
    It seems that the file /mango-javascript/mango-2.0/api.js doesnt exist


  • I can assure you nothing changed on our end. Have you ensured the dashboard module is installed? Have you tried loading the page with your cache disabled? When I don't have the Dashboards module installed I get the message,

    mango-javascript/mango-2.0/api.js:1 Failed to load resource: the server responded with a status of 404 (Not Found)
    require.js:8 Uncaught Error: Script error for: mango-2.0/api
    http://requirejs.org/docs/errors.html#scripterror
        at B (require.js:8)
        at HTMLScriptElement.onScriptError (require.js:30)
    

    But that's not the message you provided. Which browser are you using? Do you have a proxy or webserver which may be changing the MIME type? When I view the request for the file in the image in your original post,

    http://localhost:8080/mango-javascript/mango-2.0/api.js
    

    I get a MIME type in the response of Content-Type: text/javascript

    I haven't been able to easily reproduce.


  • Good day @phildunlap ,

    The dashboard module was not installed... It's very strange as it was a clean install.
    The only page not working was the 'users' one.

    Thank you for pointing up.
    No more errors now.


  • Certainly!

    I checked the 2.8.8 bundles in the store and indeed there is not a dashboards module in the available downloads at the moment, while there probably should be. I will correct this, thanks for bringing it to our attention!

    Edit: I have ensured it is in the download bundles for 2.8.8.